Subject: Re: [Dots] New draft - guide to creating an ECDSA pki

From: Robert Moskowitz <[email-masked]>
Date: Fri, 8 Sep 2017 15:47:35 -0400

I have pushed out a new version.  CRL and OCSP support added and some 
cleanup.

I am interested in working with the hackathon participants on what we 
might have for PKI. For example, two PKIs for the interorganizational 
testing.

-------- Forwarded Message --------
Subject: 	New Version Notification for draft-moskowitz-ecdsa-pki-01.txt
Date: 	Fri, 08 Sep 2017 12:26:36 -0700
From: 	[email-masked]
To: 	Robert Moskowitz <[email-masked]>, Liang Xia 
<[email-masked]>, Henk Birkholz 
<[email-masked]>, Liang Xia <[email-masked]>

A new version of I-D, draft-moskowitz-ecdsa-pki-01.txt
has been successfully submitted by Robert Moskowitz and posted to the
IETF repository.

Name:		draft-moskowitz-ecdsa-pki
Revision:	01
Title:		Guide for building an ECC pki
Document date:	2017-09-07
Group:		Individual Submission
Pages:		31
URL:            https://www.ietf.org/internet-drafts/draft-moskowitz-ecdsa-pki-01.txt
Status:         https://datatracker.ietf.org/doc/draft-moskowitz-ecdsa-pki/
Htmlized:       https://tools.ietf.org/html/draft-moskowitz-ecdsa-pki-01
Htmlized:       https://datatracker.ietf.org/doc/html/draft-moskowitz-ecdsa-pki-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-moskowitz-ecdsa-pki-01

Abstract:
    This memo provides a guide for building a PKI (Public Key
    Infrastructure) using openSSL.  All certificates in this guide are
    ECDSA, P-256, with SHA256 certificates.  Along with common End Entity
    certificates, this guide provides instructions for creating IEEE
    802.1AR iDevID Secure Device certificates.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

On 08/30/2017 10:00 AM, Robert Moskowitz wrote:
> I have spoken to the need for Identities in DOTS agents.  This implies 
> using X.509 certificates and making sure they work in your product.  
> But getting decent certificates for PoC and testing has been challenging.
>
> To this end, I have created a guide and put it together in an ID. I am 
> interested in working with those participating in the Hackathon to put 
> together the DOTS Hackaton PKI.
>
> Bob
>
>
>
>
> -------- Forwarded Message --------
> Subject:     New Version Notification for 
> draft-moskowitz-ecdsa-pki-00.txt
> Date:     Wed, 30 Aug 2017 06:53:03 -0700
> From:     [email-masked]
> To:     Robert Moskowitz <[email-masked]>, Liang Xia 
> <[email-masked]>, Henk Birkholz 
> <[email-masked]>, Liang Xia <[email-masked]>
>
>
> A new version of I-D, draft-moskowitz-ecdsa-pki-00.txt
> has been successfully submitted by Robert Moskowitz and posted to the
> IETF repository.
>
> Name:        draft-moskowitz-ecdsa-pki
> Revision:    00
> Title:        Guide for building an ECC pki
> Document date:    2017-08-30
> Group:        Individual Submission
> Pages:        26
> URL: 
> https://www.ietf.org/internet-drafts/draft-moskowitz-ecdsa-pki-00.txt
> Status: https://datatracker.ietf.org/doc/draft-moskowitz-ecdsa-pki/
> Htmlized: https://tools.ietf.org/html/draft-moskowitz-ecdsa-pki-00
> Htmlized: 
> https://datatracker.ietf.org/doc/html/draft-moskowitz-ecdsa-pki-00
>
>
> Abstract:
>    This memo provides a guide for building a PKI (Public Key
>    Infrastructure) using openSSL.  All certificates in this guide are
>    ECDSA, P-256, with SHA256 certificates.  Along with common End Entity
>    certificates, this guide provides instructions for creating IEEE
>    802.1AR [IEEE.802.1AR_2009] iDevID Secure Device certificates.
>
>
>
>
> Please note that it may take a couple of minutes from the time of 
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots
>